from .unique_elements import uniq


def test_example1():
    assert uniq([1, 2, 2, 3, 3, 3]) == [1]


def test_example2():
    assert uniq([4, 3, 5, 2, 5, 1, 3, 5]) == [4, 2, 1]


def test_example3():
    assert uniq([
        0, 22, 25, 13, 1, 13, 18, 27, 28, 1, 2, 7, 26, 15, 3, 27, 6,
        20, 13, 16, 12, 23, 29, 9, 16, 16, 13, 27, 28, 25, 10, 23,
        23, 6, 6, 4, 11, 28, 13, 10, 0, 16, 25, 4, 18, 15, 21, 7, 17,
        28, 28, 5, 8, 22, 0, 0, 13, 12
    ]) == [2, 26, 3, 20, 29, 9, 11, 21, 17, 5, 8]


def test_example4():
    assert uniq([
        29, 29, 1, 14, 10, 2, 12, 7, 6, 28, 15, 10, 15, 11, 25, 12, 27,
        19, 21, 20, 14, 22, 14, 18, 8, 18, 12, 2, 12, 18, 6, 12, 17, 26,
        22, 24, 9, 26, 3, 3, 13, 11, 1, 12, 16, 27, 18, 22, 10, 2, 25, 11,
        3, 15, 20, 10, 27, 3, 27, 15, 5, 11, 4, 11, 17, 12, 10, 4, 17, 24,
        4, 22, 1, 14, 20, 3, 18, 25, 16, 26
    ]) == [7, 28, 19, 21, 8, 9, 13, 5]


def test_example5():
    assert uniq([
        20, 28, 27, 25, 0, 19, 4, 25, 9, 28, 13, 23, 6, 5, 8, 7, 13, 17, 2,
        21, 12, 13, 3, 12, 16, 29, 23, 1, 17, 18, 1, 15, 6, 16, 27, 21, 24,
        23, 11, 18, 25, 8, 0, 4, 4, 17, 16, 8, 21, 10, 8, 14, 4, 16, 4, 12,
        29, 6, 11, 0, 23, 0, 13, 12, 19, 28, 2, 0, 5, 13, 9, 17, 21, 21, 9,
        29, 19, 28, 25, 2, 14, 22, 23, 25, 12,
    ]) == [20, 7, 3, 15, 24, 10, 22]


def test_example6():
    assert uniq([6, 9, 6, 23, 12, 19, 14, 26]) == [9, 23, 12, 19, 14, 26]


def test_example7():
    assert uniq([
        23, 0, 19, 12, 12, 0, 8, 5, 1, 4, 18, 15, 8, 16, 17, 26, 9,
        17, 29, 6, 15, 29, 6, 20, 18, 0, 26, 6, 6, 25, 28, 4, 19, 23,
        13, 29, 17, 25, 16, 14, 14, 29, 3, 23, 18, 20, 19, 20, 9, 3, 0
    ]) == [5, 1, 28, 13]


def test_example8():
    assert uniq([21, 21, 16, 20, 28, 28, 7]) == [16, 20, 7]


def test_example9():
    assert uniq([21]) == [21]


def test_example10():
    assert uniq([5, 2, 29, 4, 28, 8]) == [5, 2, 29, 4, 28, 8]


def test_example11():
    assert uniq([1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1]) == []
